Name:		moe
Version:	1.9
Release:	1%{?dist}
Summary:	A powerful clean text editor

License:	GPLv3+
URL:		http://www.gnu.org/software/moe/moe.html
Source0:	http://ftp.gnu.org/gnu/moe/moe-%{version}.tar.lz
Patch0:		moe-1.5-configure.patch

BuildRequires:	ncurses-devel lzip
Requires(post): info
Requires(preun): info

%description
GNU Moe is a powerful, 8-bit clean, text editor for ISO-8859 and ASCII 
character encodings. It has a modeless, user-friendly interface, online 
help, multiple windows, unlimited undo/redo capability, unlimited line 
length, global search/replace (on all buffers at once), block operations, 
automatic indentation, word wrapping, filename completion, directory 
browser, duplicate removal from prompt histories, delimiter matching, etc.

%prep
%setup -q
%patch0 -p0 -b .configure

%build
%configure
make %{?_smp_mflags}

%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
%{__install} -p -d $RPM_BUILD_ROOT%{_mandir}/man1 
%{__install} -p -m 644 ./doc/moe.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%doc AUTHORS README NEWS ChangeLog
%license COPYING
%{_datadir}/info/%{name}.info*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Tue Jun 27 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.9-1
- 1.9, BZ 1465196.
- Spec cleanup.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 15 2016 Jon Ciesla <limburgher@gmail.com> - 1.8-1
- Latest upstream, BZ 1308503.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 08 2015 Jon Ciesla <limburgher@gmail.com> - 1.7-1
- Latest upstream, BZ 1101203.

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.5-5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 08 2013 Jon Ciesla <limburgher@gmail.com> - 1.5-1
- Latest upstream, BZ 919547.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 08 2011 Vivek Shah <boni.vivek at gmail.com> - 1.4-3
- Updated to new upstream version
- Fixed configure file

* Fri Apr 08 2011 Vivek Shah <boni.vivek at gmail.com> - 1.4-2
- Updated to new upstream version
- Fixed incorrect upload

* Fri Apr 08 2011 Vivek Shah <boni.vivek at gmail.com> - 1.4-1
- Updated to new upstream version
- Used lz file from gz as source

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 17 2009 Vivek Shah <boni.vivek at gmail.com> -1.3-1
- Updated to new upstream version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Debarshi Ray <rishi@fedoraproject.org> 1.0-5
- Fixed configure to respect the environment's CFLAGS and CXXFLAGS settings.

* Sun Mar 01 2009 Caolán McNamara - 1.0-4
- include stdio.h for snprintf

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 10 2008 Vivek Shah <boni.vivek at gmail.com> 1.0-2
- Fixed build dependencies
- Added removal of infodir/dir to avoid overwriting
- Added target for manpage 

* Sat Aug 23 2008 Vivek Shah <boni.vivek at gmail.com> 1.0-1
- Initial Package
